summaryrefslogtreecommitdiff
path: root/src/cli/test_anastasis_reducer_recovery_no_pay.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/cli/test_anastasis_reducer_recovery_no_pay.sh')
-rwxr-xr-xsrc/cli/test_anastasis_reducer_recovery_no_pay.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/src/cli/test_anastasis_reducer_recovery_no_pay.sh b/src/cli/test_anastasis_reducer_recovery_no_pay.sh
index f58980d..12ac7e9 100755
--- a/src/cli/test_anastasis_reducer_recovery_no_pay.sh
+++ b/src/cli/test_anastasis_reducer_recovery_no_pay.sh
@@ -2,6 +2,7 @@
# This file is in the public domain.
set -eu
+set -x
# Exit, with status code "skip" (no 'real' failure)
function exit_skip() {
@@ -33,7 +34,8 @@ function sync_providers() {
# Sync with providers (up to 3 providers aren't synced here)
for x in 1 2 3; do
echo "Synchronizing providers (round $x)"
- anastasis-reducer sync_providers < $infile > $outfile 2> /dev/null || true
+ #anastasis-reducer sync_providers < $infile > $outfile 2> /dev/null || true
+ anastasis-reducer sync_providers < $infile > $outfile || true
CODE=$(jq -r -e ".code // 0" < $outfile)
# ANASTASIS_REDUCER_PROVIDERS_ALREADY_SYNCED
# FIXME: Temporary workaround for C reducer. See #7227.
@@ -265,6 +267,8 @@ sync_providers $R1FILE $R2FILE
echo -n "Running challenge logic ..."
+cat $R2FILE | jq .
+
UUID0=`jq -r -e .recovery_information.challenges[0].uuid < $R2FILE`
UUID1=`jq -r -e .recovery_information.challenges[1].uuid < $R2FILE`
UUID2=`jq -r -e .recovery_information.challenges[2].uuid < $R2FILE`